Summary:	Parsing gigabytes of JSON per second
Name:		simdjson
Version:	1.0.2
Release:	1
License:	Apache v2.0
Group:		Libraries
#Source0Download: https://github.com/simdjson/simdjson/releases
Source0:	https://github.com/simdjson/simdjson/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	5bb34cca7087a99c450dbdfe406bdc7d
URL:		https://simdjson.org
BuildRequires:	cmake >= 3.9
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	rpmbuild(macros) >= 1.605
ExclusiveArch:	%{x8664} aarch64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JSON documents are everywhere on the Internet. Servers spend a lot of
time parsing these documents. simdjson aims to accelerate the parsing
of JSON per se using commonly available SIMD instructions as much as
possible while doing full validation (including character encoding).

%package devel
Summary:	Header files for simdjson library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for simdjson library.

%prep
%setup -q

%build
%cmake \
	-DSIMDJSON_JUST_LIBRARY=ON
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTING.md CONTRIBUTORS HACKING.md README.md RELEASES.md
%attr(755,root,root) %{_libdir}/libsimdjson.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsimdjson.so.9

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsimdjson.so
%{_libdir}/cmake/simdjson
%{_includedir}/simdjson.h
%changelog
* Fri Oct 29 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/simdjson.git;a=log;h=master

* Thu Oct 28 2021 Jan Palus <atler@pld-linux.org> 3cdad20
- up to 1.0.2

* Wed Oct 20 2021 Jan Palus <atler@pld-linux.org> 842f7d6
- up to 1.0.1

* Wed Sep 08 2021 Jan Palus <atler@pld-linux.org> 1e97f32
- up to 1.0.0 (new soname)

* Sat Jul 31 2021 Jan Palus <atler@pld-linux.org> c81ca6b
- up to 0.9.7

* Mon Jun 07 2021 Jan Palus <atler@pld-linux.org> 60f8f90
- up to 0.9.6

* Fri May 28 2021 Jan Palus <atler@pld-linux.org> 74db4c7
- up to 0.9.5

* Thu May 20 2021 Jan Palus <atler@pld-linux.org> 5f0fa92
- up to 0.9.4

* Fri May 14 2021 Jan Palus <atler@pld-linux.org> a44169f
- up to 0.9.3

* Thu Apr 01 2021 Jan Palus <atler@pld-linux.org> 5fcd499
- up to 0.9.2

* Thu Mar 18 2021 Jan Palus <atler@pld-linux.org> 7aea26f
- up to 0.9.1

* Wed Mar 17 2021 Jan Palus <atler@pld-linux.org> c051acb
- up to 0.9.0 (new soname)

* Thu Feb 11 2021 Jan Palus <atler@pld-linux.org> d329d28
- macros for %cmake

* Thu Feb 11 2021 Jan Palus <atler@pld-linux.org> 2bb067d
- up to 0.8.2

* Thu Jan 28 2021 Jan Palus <atler@pld-linux.org> 3474ec9
- up to 0.8.1

* Fri Jan 22 2021 Jan Palus <atler@pld-linux.org> f0366ce
- up to 0.8.0 (new soname)

* Mon Dec 14 2020 Jan Palus <atler@pld-linux.org> b3fcb27
- up to 0.7.1

* Sat Dec 05 2020 Jan Palus <atler@pld-linux.org> 9bb2686
- up to 0.7.0

* Wed Nov 04 2020 Jan Palus <atler@pld-linux.org> fab0d69
- up to 0.6.1

* Fri Oct 23 2020 Jan Palus <atler@pld-linux.org> 8223707
- up to 0.6.0 (new soname)

* Thu Aug 20 2020 Jan Palus <atler@pld-linux.org> 45b686a
- up to 0.5.0 (new soname)

